# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXUnsetGroupType

Function

Unsets the type associated with a specified Group.

Syntax
`
#include <dx/dx.h>
`

Group DXUnsetGroupType(Group g)

Functional Details

When the Group type is set, all current members are checked for type, and all members added subsequently are checked for type. `DXUnsetGroupType` will turn off this type checking, and the Group will have no type.

Array Objects are always typed. Fields are typed if they contain a "data" component; their type is the same as that of the "data" component. Series, MultiGrids, and Composite Fields are typed if they contain typed members. Generic Groups may be typed by explicitly calling `DXSetGroupType`. If typed, all members contained in the Group must match the type. Other Objects do not contain type information.

Return Value

Returns `g` or returns `NULL` and sets an error code.

See Also

`DXNewGroup, DXSetGroupType, DXSetGroupTypeV`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]